diff --git a/README b/README
index 6cb0567ba66b..ca6b02be9b61 100644
--- a/README
+++ b/README
@@ -735,21 +735,6 @@ The following options need to be configured:
 		the image. Only boards defining board_fdt_blob_setup() support
 		this option (see include/fdtdec.h file).
 
-- Watchdog:
-		CONFIG_WATCHDOG
-		If this variable is defined, it enables watchdog
-		support for the SoC. There must be support in the SoC
-		specific code for a watchdog. For the 8xx
-		CPUs, the SIU Watchdog feature is enabled in the SYPCR
-		register.  When supported for a specific SoC is
-		available, then no further board specific code should
-		be needed to use it.
-
-		CONFIG_HW_WATCHDOG
-		When using a watchdog circuitry external to the used
-		SoC, then define this variable and provide board
-		specific code for the "hw_watchdog_reset" function.
-
 - Real-Time Clock:
 
 		When CONFIG_CMD_DATE is selected, the type of the RTC
diff --git a/configs/MPC8610HPCD_defconfig b/configs/MPC8610HPCD_defconfig
index b9ef56620480..d41cbd163f55 100644
--- a/configs/MPC8610HPCD_defconfig
+++ b/configs/MPC8610HPCD_defconfig
@@ -34,4 +34,5 @@ CONFIG_SYS_NS16550=y
 CONFIG_USB=y
 CONFIG_USB_KEYBOARD=y
 CONFIG_VIDEO=y
+CONFIG_WATCHDOG=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/astro_mcf5373l_defconfig b/configs/astro_mcf5373l_defconfig
index f2fc985b2bdc..de30cde4928d 100644
--- a/configs/astro_mcf5373l_defconfig
+++ b/configs/astro_mcf5373l_defconfig
@@ -30,3 +30,4 @@ CONFIG_FLASH_CFI_DRIVER=y
 CONFIG_SYS_FLASH_USE_BUFFER_WRITE=y
 CONFIG_SYS_FLASH_PROTECTION=y
 CONFIG_SYS_FLASH_CFI=y
+CONFIG_WATCHDOG=y
diff --git a/configs/ids8313_defconfig b/configs/ids8313_defconfig
index 802b5a6cd666..cf2e62c57d39 100644
--- a/configs/ids8313_defconfig
+++ b/configs/ids8313_defconfig
@@ -176,4 +176,5 @@ CONFIG_MII=y
 CONFIG_TSEC_ENET=y
 # CONFIG_PCI is not set
 CONFIG_SYS_NS16550=y
+CONFIG_WATCHDOG=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/kmcoge4_defconfig b/configs/kmcoge4_defconfig
index 928d1ca7eea6..8a423299e0f4 100644
--- a/configs/kmcoge4_defconfig
+++ b/configs/kmcoge4_defconfig
@@ -65,6 +65,7 @@ CONFIG_SYS_QE_FMAN_FW_IN_SPIFLASH=y
 CONFIG_SYS_NS16550=y
 CONFIG_SPI=y
 CONFIG_FSL_ESPI=y
+CONFIG_WATCHDOG=y
 CONFIG_ADDR_MAP=y
 CONFIG_SYS_NUM_ADDR_MAP=64
 CONFIG_BCH=y
diff --git a/include/configs/M5208EVBE.h b/include/configs/M5208EVBE.h
index fc389b8e87f7..4330ca02f58e 100644
--- a/include/configs/M5208EVBE.h
+++ b/include/configs/M5208EVBE.h
@@ -16,9 +16,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT		5000
-
 #ifdef CONFIG_MCFFEC
 #	define CONFIG_MII_INIT		1
 #	define CONFIG_SYS_DISCOVER_PHY
diff --git a/include/configs/M52277EVB.h b/include/configs/M52277EVB.h
index 0428be729b23..20c532f52978 100644
--- a/include/configs/M52277EVB.h
+++ b/include/configs/M52277EVB.h
@@ -23,8 +23,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG
-
 #define CONFIG_TIMESTAMP	/* Print image info with timestamp */
 
 /*
diff --git a/include/configs/M5235EVB.h b/include/configs/M5235EVB.h
index 4ab3d4831c76..887a9ec2971f 100644
--- a/include/configs/M5235EVB.h
+++ b/include/configs/M5235EVB.h
@@ -21,9 +21,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT	5000	/* timeout in milliseconds, max timeout is 6.71sec */
-
 /*
  * BOOTP options
  */
diff --git a/include/configs/M5249EVB.h b/include/configs/M5249EVB.h
index 1a1a11076543..695bf4e621b2 100644
--- a/include/configs/M5249EVB.h
+++ b/include/configs/M5249EVB.h
@@ -22,8 +22,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef  CONFIG_WATCHDOG
-
 #undef CONFIG_MONITOR_IS_IN_RAM		/* no pre-loader required!!! ;-) */
 
 /*
diff --git a/include/configs/M5253DEMO.h b/include/configs/M5253DEMO.h
index 54f6fa7c167d..bec9abe470f4 100644
--- a/include/configs/M5253DEMO.h
+++ b/include/configs/M5253DEMO.h
@@ -13,8 +13,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG		/* disable watchdog */
-
 
 /* Configuration for environment
  * Environment is embedded in u-boot in the second sector of the flash
diff --git a/include/configs/M5272C3.h b/include/configs/M5272C3.h
index 2cdd4369da00..965e16982d33 100644
--- a/include/configs/M5272C3.h
+++ b/include/configs/M5272C3.h
@@ -21,9 +21,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT 10000	/* timeout in milliseconds */
-
 #undef CONFIG_MONITOR_IS_IN_RAM	/* define if monitor is started from a pre-loader */
 
 /* Configuration for environment
diff --git a/include/configs/M53017EVB.h b/include/configs/M53017EVB.h
index b934dc138897..ee561831e189 100644
--- a/include/configs/M53017EVB.h
+++ b/include/configs/M53017EVB.h
@@ -21,9 +21,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT		5000
-
 #define CONFIG_SYS_UNIFY_CACHE
 
 #ifdef CONFIG_MCFFEC
diff --git a/include/configs/M5329EVB.h b/include/configs/M5329EVB.h
index 5c88f09f64fb..57d536cb3af5 100644
--- a/include/configs/M5329EVB.h
+++ b/include/configs/M5329EVB.h
@@ -21,9 +21,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT	5000	/* timeout in milliseconds, max timeout is 6.71sec */
-
 #define CONFIG_SYS_UNIFY_CACHE
 
 #ifdef CONFIG_MCFFEC
diff --git a/include/configs/M5373EVB.h b/include/configs/M5373EVB.h
index f94cc02905d7..08aa17c1abea 100644
--- a/include/configs/M5373EVB.h
+++ b/include/configs/M5373EVB.h
@@ -23,9 +23,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT	3360	/* timeout in ms, max is 3.36 sec */
-
 #define CONFIG_SYS_UNIFY_CACHE
 
 #ifdef CONFIG_MCFFEC
diff --git a/include/configs/M54418TWR.h b/include/configs/M54418TWR.h
index 5447f84ca163..c319f09773ce 100644
--- a/include/configs/M54418TWR.h
+++ b/include/configs/M54418TWR.h
@@ -26,8 +26,6 @@
 
 #define LDS_BOARD_TEXT			board/freescale/m54418twr/sbf_dram_init.o (.text*)
 
-#undef CONFIG_WATCHDOG
-
 #define CONFIG_TIMESTAMP	/* Print image info with timestamp */
 
 /*
diff --git a/include/configs/M54451EVB.h b/include/configs/M54451EVB.h
index f5bafb70e77e..2d608ee782fb 100644
--- a/include/configs/M54451EVB.h
+++ b/include/configs/M54451EVB.h
@@ -26,8 +26,6 @@
 
 #define LDS_BOARD_TEXT                  board/freescale/m54451evb/sbf_dram_init.o (.text*)
 
-#undef CONFIG_WATCHDOG
-
 #define CONFIG_TIMESTAMP	/* Print image info with timestamp */
 
 /*
diff --git a/include/configs/M54455EVB.h b/include/configs/M54455EVB.h
index f3621d6326ef..233bd879014a 100644
--- a/include/configs/M54455EVB.h
+++ b/include/configs/M54455EVB.h
@@ -26,8 +26,6 @@
 
 #define LDS_BOARD_TEXT                  board/freescale/m54455evb/sbf_dram_init.o (.text*)
 
-#undef CONFIG_WATCHDOG
-
 #define CONFIG_TIMESTAMP	/* Print image info with timestamp */
 
 /*
diff --git a/include/configs/M5475EVB.h b/include/configs/M5475EVB.h
index 406830c98d56..9d5f8136f677 100644
--- a/include/configs/M5475EVB.h
+++ b/include/configs/M5475EVB.h
@@ -21,9 +21,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_HW_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT	5000	/* timeout in milliseconds, max timeout is 6.71sec */
-
 #define CONFIG_SLTTMR
 
 #ifdef CONFIG_FSLDMAFEC
diff --git a/include/configs/M5485EVB.h b/include/configs/M5485EVB.h
index cd8dd67043f0..55c2fc3f88ed 100644
--- a/include/configs/M5485EVB.h
+++ b/include/configs/M5485EVB.h
@@ -21,9 +21,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-#undef CONFIG_HW_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT	5000	/* timeout in milliseconds, max timeout is 6.71sec */
-
 #define CONFIG_SLTTMR
 
 #ifdef CONFIG_FSLDMAFEC
diff --git a/include/configs/MPC8315ERDB.h b/include/configs/MPC8315ERDB.h
index 688aa5ea9867..bad7cbd2fdab 100644
--- a/include/configs/MPC8315ERDB.h
+++ b/include/configs/MPC8315ERDB.h
@@ -303,8 +303,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG		/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8323ERDB.h b/include/configs/MPC8323ERDB.h
index 6effaeaa981d..6d171f2a5867 100644
--- a/include/configs/MPC8323ERDB.h
+++ b/include/configs/MPC8323ERDB.h
@@ -219,8 +219,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG		/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC832XEMDS.h b/include/configs/MPC832XEMDS.h
index 94d73295de85..cc60f75448ae 100644
--- a/include/configs/MPC832XEMDS.h
+++ b/include/configs/MPC832XEMDS.h
@@ -243,8 +243,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG		/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8349EMDS.h b/include/configs/MPC8349EMDS.h
index 2cf2e2de5e65..7fd2e60cd067 100644
--- a/include/configs/MPC8349EMDS.h
+++ b/include/configs/MPC8349EMDS.h
@@ -276,8 +276,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8349EMDS_SDRAM.h b/include/configs/MPC8349EMDS_SDRAM.h
index cfec59e86050..d189273359fc 100644
--- a/include/configs/MPC8349EMDS_SDRAM.h
+++ b/include/configs/MPC8349EMDS_SDRAM.h
@@ -331,8 +331,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8349ITX.h b/include/configs/MPC8349ITX.h
index f50cdd717cbe..e266beaf4a13 100644
--- a/include/configs/MPC8349ITX.h
+++ b/include/configs/MPC8349ITX.h
@@ -347,7 +347,6 @@ boards, we say we have two, but don't display a message if we find only one. */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
 /* Watchdog */
-#undef CONFIG_WATCHDOG		/* watchdog disabled */
 
 /*
  * Miscellaneous configurable options
diff --git a/include/configs/MPC837XEMDS.h b/include/configs/MPC837XEMDS.h
index c42cb426d859..cc1316ac3fff 100644
--- a/include/configs/MPC837XEMDS.h
+++ b/include/configs/MPC837XEMDS.h
@@ -303,8 +303,6 @@ extern int board_pci_host_broken(void);
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG		/* watchdog disabled */
-
 #ifdef CONFIG_MMC
 #define CONFIG_FSL_ESDHC_PIN_MUX
 #define CONFIG_SYS_FSL_ESDHC_ADDR	CONFIG_SYS_MPC83xx_ESDHC_ADDR
diff --git a/include/configs/MPC837XERDB.h b/include/configs/MPC837XERDB.h
index ae368a1f1e30..b1bd22d7735d 100644
--- a/include/configs/MPC837XERDB.h
+++ b/include/configs/MPC837XERDB.h
@@ -322,8 +322,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG		/* watchdog disabled */
-
 #ifdef CONFIG_MMC
 #define CONFIG_FSL_ESDHC_PIN_MUX
 #define CONFIG_SYS_FSL_ESDHC_ADDR	CONFIG_SYS_MPC83xx_ESDHC_ADDR
diff --git a/include/configs/MPC8540ADS.h b/include/configs/MPC8540ADS.h
index af90fe167a73..f0ec1270c656 100644
--- a/include/configs/MPC8540ADS.h
+++ b/include/configs/MPC8540ADS.h
@@ -283,8 +283,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8541CDS.h b/include/configs/MPC8541CDS.h
index b1c8917f216b..7d8abe23fce6 100644
--- a/include/configs/MPC8541CDS.h
+++ b/include/configs/MPC8541CDS.h
@@ -315,8 +315,6 @@ extern unsigned long get_clock_freq(void);
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8544DS.h b/include/configs/MPC8544DS.h
index f4f41da4988b..c22d5f52125e 100644
--- a/include/configs/MPC8544DS.h
+++ b/include/configs/MPC8544DS.h
@@ -318,8 +318,6 @@ extern unsigned long get_board_sys_clk(unsigned long dummy);
 #define CONFIG_PCI_EHCI_DEVICE			0
 #endif
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8548CDS.h b/include/configs/MPC8548CDS.h
index 4efc182ef831..65222e964343 100644
--- a/include/configs/MPC8548CDS.h
+++ b/include/configs/MPC8548CDS.h
@@ -434,8 +434,6 @@ extern unsigned long get_clock_freq(void);
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8555CDS.h b/include/configs/MPC8555CDS.h
index 88999ef2b850..ad5fb33343ee 100644
--- a/include/configs/MPC8555CDS.h
+++ b/include/configs/MPC8555CDS.h
@@ -313,8 +313,6 @@ extern unsigned long get_clock_freq(void);
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8560ADS.h b/include/configs/MPC8560ADS.h
index 5e1bef8f3b06..d00ad085723b 100644
--- a/include/configs/MPC8560ADS.h
+++ b/include/configs/MPC8560ADS.h
@@ -316,8 +316,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8568MDS.h b/include/configs/MPC8568MDS.h
index 2c43981a1cc7..fd863803796b 100644
--- a/include/configs/MPC8568MDS.h
+++ b/include/configs/MPC8568MDS.h
@@ -326,8 +326,6 @@ extern unsigned long get_clock_freq(void);
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8569MDS.h b/include/configs/MPC8569MDS.h
index f50f53ec3fce..ee3d1b7d97ec 100644
--- a/include/configs/MPC8569MDS.h
+++ b/include/configs/MPC8569MDS.h
@@ -413,8 +413,6 @@ extern unsigned long get_clock_freq(void);
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 #ifdef CONFIG_MMC
 #define CONFIG_FSL_ESDHC_PIN_MUX
 #define CONFIG_SYS_FSL_ESDHC_ADDR	CONFIG_SYS_MPC85xx_ESDHC_ADDR
diff --git a/include/configs/MPC8572DS.h b/include/configs/MPC8572DS.h
index 731d4a5a4141..c17e02ab6588 100644
--- a/include/configs/MPC8572DS.h
+++ b/include/configs/MPC8572DS.h
@@ -506,8 +506,6 @@
 #define CONFIG_PCI_EHCI_DEVICE			0
 #endif
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/MPC8610HPCD.h b/include/configs/MPC8610HPCD.h
index f444be0d868b..295d7c72c177 100644
--- a/include/configs/MPC8610HPCD.h
+++ b/include/configs/MPC8610HPCD.h
@@ -388,7 +388,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#define CONFIG_WATCHDOG			/* watchdog enabled */
 #define CONFIG_SYS_WATCHDOG_FREQ	5000	/* Feed interval, 5s */
 
 /*
diff --git a/include/configs/MPC8641HPCN.h b/include/configs/MPC8641HPCN.h
index e6e1e7943c7a..a68ba1d7cf56 100644
--- a/include/configs/MPC8641HPCN.h
+++ b/include/configs/MPC8641HPCN.h
@@ -545,8 +545,6 @@ extern unsigned long get_board_sys_clk(unsigned long dummy);
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/P1010RDB.h b/include/configs/P1010RDB.h
index 806d1543281e..ee2aa3f7dd1d 100644
--- a/include/configs/P1010RDB.h
+++ b/include/configs/P1010RDB.h
@@ -651,8 +651,6 @@ extern unsigned long get_sdram_size(void);
 #define CONFIG_LOADS_ECHO		/* echo on for serial download */
 #define CONFIG_SYS_LOADS_BAUD_CHANGE	/* allow baudrate change */
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 #if defined(CONFIG_MMC) || defined(CONFIG_USB_EHCI_HCD) \
 		 || defined(CONFIG_FSL_SATA)
 #endif
diff --git a/include/configs/TQM834x.h b/include/configs/TQM834x.h
index aa70f01ddded..8fb971b82d37 100644
--- a/include/configs/TQM834x.h
+++ b/include/configs/TQM834x.h
@@ -195,8 +195,6 @@
  */
 #define CONFIG_SYS_LOAD_ADDR	0x2000000	/* default load address */
 
-#undef CONFIG_WATCHDOG		/* watchdog disabled */
-
 /*
  * For booting Linux, the board info and command line data
  * have to be in the first 256 MB of memory, since this is
diff --git a/include/configs/UCP1020.h b/include/configs/UCP1020.h
index c3cc72e13f7f..3ffe51f9b6b5 100644
--- a/include/configs/UCP1020.h
+++ b/include/configs/UCP1020.h
@@ -383,15 +383,10 @@
 #endif
 #endif
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 #ifdef CONFIG_MMC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	CONFIG_SYS_MPC85xx_ESDHC_ADDR
 #endif
 
-/* Misc Extra Settings */
-#undef CONFIG_WATCHDOG	/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/astro_mcf5373l.h b/include/configs/astro_mcf5373l.h
index 891240c7e228..8cfc82b5bdf5 100644
--- a/include/configs/astro_mcf5373l.h
+++ b/include/configs/astro_mcf5373l.h
@@ -90,17 +90,6 @@
 #define CONFIG_SYS_UART_PORT		(2)
 #define CONFIG_SYS_UART2_ALT3_GPIO
 
-/*
- * Watchdog configuration; Watchdog is disabled for running from RAM
- * and set to highest possible value else. Beware there is no check
- * in the watchdog code to validate the timeout value set here!
- */
-
-#ifndef CONFIG_MONITOR_IS_IN_RAM
-#define CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT 3355	/* timeout in milliseconds */
-#endif
-
 /*
  * Configuration for environment
  * Environment is located in the last sector of the flash
diff --git a/include/configs/caddy2.h b/include/configs/caddy2.h
index 78891fefd2df..c166d8ede79c 100644
--- a/include/configs/caddy2.h
+++ b/include/configs/caddy2.h
@@ -212,8 +212,6 @@
 /* Pass Ethernet MAC to VxWorks */
 #define CONFIG_SYS_VXWORKS_MAC_PTR	0x000043f0
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/cobra5272.h b/include/configs/cobra5272.h
index c859616c68cb..064fc6a84473 100644
--- a/include/configs/cobra5272.h
+++ b/include/configs/cobra5272.h
@@ -46,19 +46,6 @@
 #define CONFIG_MCFUART
 #define CONFIG_SYS_UART_PORT		(0)
 
-/* ---
- * set "#if 0" to "#if 1" if (Hardware)-WATCHDOG should be enabled & change
- * timeout acc. to your needs
- * #define CONFIG_WATCHDOG_TIMEOUT x , x is timeout in milliseconds, e. g. 10000
- * for 10 sec
- * ---
- */
-
-#if 0
-#define CONFIG_WATCHDOG
-#define CONFIG_WATCHDOG_TIMEOUT 10000	/* timeout in milliseconds */
-#endif
-
 /* ---
  * CONFIG_MONITOR_IS_IN_RAM defines if u-boot is started from a different
  * bootloader residing in flash ('chainloading'); if you want to use
diff --git a/include/configs/controlcenterd.h b/include/configs/controlcenterd.h
index 8ab8bb9f33c7..9116a31d3260 100644
--- a/include/configs/controlcenterd.h
+++ b/include/configs/controlcenterd.h
@@ -281,7 +281,6 @@
 /*
  * Miscellaneous configurable options
  */
-#define CONFIG_HW_WATCHDOG
 #define CONFIG_LOADS_ECHO
 #define CONFIG_SYS_LOADS_BAUD_CHANGE
 
diff --git a/include/configs/dh_imx6.h b/include/configs/dh_imx6.h
index 008a70a7c2e9..fdf5bd8d7353 100644
--- a/include/configs/dh_imx6.h
+++ b/include/configs/dh_imx6.h
@@ -81,13 +81,6 @@
 #endif
 #endif
 
-/* Watchdog */
-#if defined(CONFIG_SPL_BUILD)
-#undef CONFIG_WDT
-#undef CONFIG_WATCHDOG
-#define CONFIG_HW_WATCHDOG
-#endif
-
 #define CONFIG_LOADADDR			0x12000000
 #define CONFIG_SYS_LOAD_ADDR		CONFIG_LOADADDR
 
diff --git a/include/configs/display5.h b/include/configs/display5.h
index 40bb3b53a5a3..22ef03a18fda 100644
--- a/include/configs/display5.h
+++ b/include/configs/display5.h
@@ -334,13 +334,6 @@
 #define CONFIG_SYS_INIT_SP_ADDR \
 	(CONFIG_SYS_INIT_RAM_ADDR + CONFIG_SYS_INIT_SP_OFFSET)
 
-/* Watchdog */
-#if defined(CONFIG_SPL_BUILD)
-#undef CONFIG_WDT
-#undef CONFIG_WATCHDOG
-#define CONFIG_HW_WATCHDOG
-#endif
-
 /* ENV config */
 #ifdef CONFIG_ENV_IS_IN_SPI_FLASH
 /* The 0x120000 value corresponds to above SPI-NOR memory MAP */
diff --git a/include/configs/eb_cpu5282.h b/include/configs/eb_cpu5282.h
index db92bbd49a4d..8d91094778fa 100644
--- a/include/configs/eb_cpu5282.h
+++ b/include/configs/eb_cpu5282.h
@@ -28,8 +28,6 @@
 #define CONFIG_BOOT_RETRY_TIME	-1
 #define CONFIG_RESET_TO_RETRY
 
-#define CONFIG_HW_WATCHDOG
-
 #define STATUS_LED_ACTIVE		0
 
 /*----------------------------------------------------------------------*
diff --git a/include/configs/ids8313.h b/include/configs/ids8313.h
index bcd8aee7c323..4b9358d60260 100644
--- a/include/configs/ids8313.h
+++ b/include/configs/ids8313.h
@@ -157,7 +157,6 @@
 /*
  * HW-Watchdog
  */
-#define CONFIG_WATCHDOG		1
 #define CONFIG_SYS_WATCHDOG_VALUE	0xFFFF
 
 /*
diff --git a/include/configs/kmp204x.h b/include/configs/kmp204x.h
index fb3a83ce6731..7c2535b04271 100644
--- a/include/configs/kmp204x.h
+++ b/include/configs/kmp204x.h
@@ -333,7 +333,6 @@ int get_scl(void);
 /*
  * Hardware Watchdog
  */
-#define CONFIG_WATCHDOG			/* enable CPU watchdog */
 #define CONFIG_WATCHDOG_PRESC 34	/* wdog prescaler 2^(64-34) (~10min) */
 #define CONFIG_WATCHDOG_RC WRC_CHIP	/* reset chip on watchdog event */
 
diff --git a/include/configs/m53menlo.h b/include/configs/m53menlo.h
index c15e7d22bc8c..3c42fce259fa 100644
--- a/include/configs/m53menlo.h
+++ b/include/configs/m53menlo.h
@@ -226,9 +226,4 @@
 		"fi ; "							\
 		"fi\0"
 
-#if defined(CONFIG_SPL_BUILD)
-#undef CONFIG_WATCHDOG
-#define CONFIG_HW_WATCHDOG
-#endif
-
 #endif	/* __M53MENLO_CONFIG_H__ */
diff --git a/include/configs/nokia_rx51.h b/include/configs/nokia_rx51.h
index c86c4294137f..c7ce7d910cf8 100644
--- a/include/configs/nokia_rx51.h
+++ b/include/configs/nokia_rx51.h
@@ -91,9 +91,6 @@
 
 #define CONFIG_SYS_ONENAND_BASE		ONENAND_MAP
 
-/* Watchdog support */
-#define CONFIG_HW_WATCHDOG
-
 /*
  * Framebuffer
  */
diff --git a/include/configs/p1_p2_rdb_pc.h b/include/configs/p1_p2_rdb_pc.h
index a9bf213d8b44..becc12879959 100644
--- a/include/configs/p1_p2_rdb_pc.h
+++ b/include/configs/p1_p2_rdb_pc.h
@@ -626,8 +626,6 @@
 #define CONFIG_SYS_FSL_ESDHC_ADDR	CONFIG_SYS_MPC85xx_ESDHC_ADDR
 #endif
 
-#undef CONFIG_WATCHDOG	/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/sbc8349.h b/include/configs/sbc8349.h
index 929579efe133..542e3a4c4b6c 100644
--- a/include/configs/sbc8349.h
+++ b/include/configs/sbc8349.h
@@ -230,8 +230,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/sbc8548.h b/include/configs/sbc8548.h
index 6e26d456ab74..8dd7c1ac03bc 100644
--- a/include/configs/sbc8548.h
+++ b/include/configs/sbc8548.h
@@ -464,8 +464,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/sbc8641d.h b/include/configs/sbc8641d.h
index 3d5aee0dd58a..3734ddeb3d12 100644
--- a/include/configs/sbc8641d.h
+++ b/include/configs/sbc8641d.h
@@ -422,8 +422,6 @@
 #define CONFIG_LOADS_ECHO	1	/* echo on for serial download */
 #define CONFIG_SYS_LOADS_BAUD_CHANGE	1	/* allow baudrate change */
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/socfpga_soc64_common.h b/include/configs/socfpga_soc64_common.h
index fb5e2e8aafae..8a0af3c6591e 100644
--- a/include/configs/socfpga_soc64_common.h
+++ b/include/configs/socfpga_soc64_common.h
@@ -144,13 +144,6 @@ unsigned int cm_get_qspi_controller_clk_hz(void);
 #define CONFIG_DW_ALTDESCRIPTOR
 #endif /* CONFIG_CMD_NET */
 
-/*
- * L4 Watchdog
- */
-#ifndef CONFIG_SPL_BUILD
-#undef CONFIG_HW_WATCHDOG
-#undef CONFIG_DESIGNWARE_WATCHDOG
-#endif
 #define CONFIG_DW_WDT_BASE		SOCFPGA_L4WD0_ADDRESS
 #ifdef CONFIG_TARGET_SOCFPGA_STRATIX10
 #ifndef __ASSEMBLY__
diff --git a/include/configs/socrates.h b/include/configs/socrates.h
index da60546966cd..bde0a2eb59de 100644
--- a/include/configs/socrates.h
+++ b/include/configs/socrates.h
@@ -196,8 +196,6 @@
  */
 #define CONFIG_BOOTP_BOOTFILESIZE
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled		*/
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/include/configs/ts4800.h b/include/configs/ts4800.h
index f0630a7b92dd..2ade48ae4637 100644
--- a/include/configs/ts4800.h
+++ b/include/configs/ts4800.h
@@ -16,8 +16,6 @@
 
 #define CONFIG_SKIP_LOWLEVEL_INIT	/* U-Boot is a 2nd stage bootloader */
 
-#define CONFIG_HW_WATCHDOG
-
 #define CONFIG_MACH_TYPE	MACH_TYPE_TS48XX
 
 /* text base address used when linking */
diff --git a/include/configs/vme8349.h b/include/configs/vme8349.h
index 20fcce187055..dc236ac64040 100644
--- a/include/configs/vme8349.h
+++ b/include/configs/vme8349.h
@@ -212,8 +212,6 @@
 /* Pass Ethernet MAC to VxWorks */
 #define CONFIG_SYS_VXWORKS_MAC_PTR	0x000043f0
 
-#undef CONFIG_WATCHDOG			/* watchdog disabled */
-
 /*
  * Miscellaneous configurable options
  */
diff --git a/scripts/config_whitelist.txt b/scripts/config_whitelist.txt
index 093e432efc64..2f7be9c6407b 100644
--- a/scripts/config_whitelist.txt
+++ b/scripts/config_whitelist.txt
@@ -4095,7 +4095,6 @@ CONFIG_VSC9953
 CONFIG_WATCHDOG_NOWAYOUT
 CONFIG_WATCHDOG_PRESC
 CONFIG_WATCHDOG_RC
-CONFIG_WATCHDOG_TIMEOUT
 CONFIG_WD_PERIOD
 CONFIG_X600
 CONFIG_X86EMU_DEBUG